import request from '@/utils/request'
// 获取其他页数据
export function getAllCategory(params) {
  return request({
    url: '/api/informationClass/findAllInformationClass',
    method: 'get',
    params
  })
}
// 获取所有类别
export function getAllcustomer(params) {
  return request({
    url: '/api/customer/findAllCustomer',
    method: 'get',
    params
  })
}
// 根据名称获取信息
export function searchContent(param) {
  return request({
    url: '/api/customer/findCustomerByWrapper',
    method: 'get',
    params:param
  })
}
// 新增信息分类
export function addcustomer(data) {
  return request({
    url: '/api/customer/insertCustomer',
    method: 'post',
    data,
  })
}
// 获取所有省份
export function getAllProvince(params) {
  return request({
    url: '/api/areaCode/findAreaByCodeAndType',
    method: 'get',
    params
  })
}
// 新增项目全部数据返显
export function allData(params) {
  return request({
    url: '/api/custProject/findProjectById',
    method: 'get',
    params
  })
}
// 新增项目
export function addPop(data) {
  return request({
    url: '/api/custProject/insertProject',
    method: 'post',
    data,
  })
}
// 新增项目更新
export function toUpdate(data) {
  return request({
    url: '/api/custProject/updateProject',
    method: 'put',
    data
  })
}
// 编辑客户信息
export function editcustomer(data) {
  return request({
    url: '/api/customer/updateCustomer',
    method: 'put',
    data,
  })
}
//查询地址
export function getCode(params) {
  return request({
    url: '/api/areaCode/findPcodeByCode',
    method: 'get',
    params
  })
}
// 发布跟进记录
export function releaseFollowuprecord (data) {
  return request({
    url: '/api/projectFollow/insertProjectFollow',
    method: 'post',
    data,
  })
}
// 跟进记录表格返显
export function followupData(params) {
  return request({
    url: '/api/projectFollow/findAllProjectFollowByProjectId',
    method: 'get',
    params
  })
}
// 删除跟踪记录
export function deleteFollowuprecord(params) {
  return request({
    url: '/api/projectFollow/deleteProjectFollowById',
    method: 'delete',
	params,
  })
}
// 修改跟踪记录
export function modifyFollowuprecord(data) {
  return request({
    url: '/api/projectFollow/updateProjectFollow',
    method: 'put',
	data,
  })
}
// 发布跟进记录
export function selectvalue() {
  return request({
    url: '/api/tabDict/getDictBySign?sign=project_follow_status',
    method: 'get',
  })
}
// 更改客户状态为已读
export function read(data) {
  return request({
    url: '/api/customer/changeToHaveRead',
    method: 'put',
	data,
  })
}
// 售前技术总监
export function technicalDirector() {
  return request({
    url: '/api/technicalSupport/getTechnicalSupportLeader',
    method: 'get',
  })
}


// 导出Excel
export function exportExcel(params) {
  return request({
    url: '/api/customer/exportExcel',
    method: 'get',
	//responseType:'blob',
	params
  })
}